#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.1
visibility:           public
id:                   taffybar-4.0.1-LNMYtHuQxUe1FBFOGMjiIo
key:                  taffybar-4.0.1-LNMYtHuQxUe1FBFOGMjiIo
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  79e77253734b8809f94ca476fc954d7d
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.1-LNMYtHuQxUe1FBFOGMjiIo
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/cairo
    /usr/include/gdk-pixbuf-2.0 /usr/include/atk-1.0
    /usr/include/freetype2 /usr/include/harfbuzz /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/cloudproviders
    /usr/include/at-spi2-atk/2.0 /usr/include/at-spi-2.0
    /usr/include/dbus-1.0 /usr/lib/dbus-1.0/include
    /usr/include/fribidi /usr/include/pixman-1 /usr/include/libpng16
    /usr/include/gio-unix-2.0 /usr/include/libmount /usr/include/blkid
    /usr/include/sysprof-6

depends:
    ConfigFile-1.1.4-CkefqBHZ4xjAqwXU858Vl4
    HStringTemplate-0.8.8-GQFoeGtoaR14Sj3gi4yod8
    X11-1.10.3-7zBAfsIL85sJKAyVO3fFRL
    aeson-2.1.2.1-1fv710ekuXrLy0H0BmdChy
    ansi-terminal-0.11.4-1Ulv3kOCCRl2Ec8o7fE98K base-4.15.1.0
    broadcast-chan-0.2.1.2-4f1Mq5xfdHPClQCeqG8Qnr bytestring-0.10.12.1
    conduit-1.3.5-16ZWS8g1Rdt4nYXUk9Iha2 containers-0.6.4.1
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv
    dbus-1.2.22-CLEi9jKQybR9l0ZTANyYhG
    dbus-hslogger-0.1.0.1-413Lk28BVsS4j4AvH1rMSQ directory-1.3.6.2
    dyre-0.9.2-EyIDJ6YBEgJJNRqTesC8bs
    either-5.0.2-C8itNAYzjpOEq93N7Q6ZGW
    enclosed-exceptions-1.0.3-5YhDjVg5CUeIL9WCIb3Xl0 filepath-1.4.2.1
    gi-cairo-1.0.29-5pK4aFKKPNKH9aqT4fT8Et
    gi-cairo-connector-0.1.1-6z8d4eGWZY1KMHvPjhK4ME
    gi-cairo-render-0.1.2-6m1vTgdCNrhCzoA7koRjOR
    gi-gdk-3.0.25-LIDRWOxjrcG554EqYAiaGC
    gi-gdkpixbuf-2.0.31-GOii5QVrxRxFVUiRtPfOsK
    gi-gdkx11-3.0.12-GlWeJDT41H02LHLbPwL4C6
    gi-glib-2.0.29-44elf0J0CWi7z0osFuK5rD
    gi-gtk-3.0.38-8gBd7BLkJWC2jLE0xgV2Om
    gi-gtk-hs-0.3.16-KTxBrcMD3l9Cv2Dlp0jpBn
    gi-pango-1.0.29-IfQhv441wHuLPglQilkTQL
    gtk-sni-tray-0.1.8.1-4wBfLTa6afK49QuicIxi89
    gtk-strut-0.1.3.2-KU10jwxER5a3p15vKhJxrC
    haskell-gi-0.26.4-IeyAOQgPlGQ8Ov3UWcDRR3
    haskell-gi-base-0.26.4-CE4lu6s01NFEl72cOqded7
    hslogger-1.3.1.0-3mAtCPR2qqpCon8VlpHWNM
    http-client-0.7.15-KVJJo2iUX1z2aGx7CPgB8N
    http-client-tls-0.3.6.3-CWfNFb9Mub41O1KqlPR12U
    http-conduit-2.3.8.3-GFXeHLfu2XL7DvSlzemaOo
    http-types-0.12.3-LA6vmSRwOBDw0CbIUhZ7k
    multimap-1.2.1-9JxmWLNMcxQ1AJJqmV9wuZ
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh parsec-3.1.14.0
    process-1.6.13.2 rate-limit-1.4.3-85YmVCfT47Z7hrGUe8KO44
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix
    safe-0.3.20-KGz8GmAWljmBWV3LCHihVh
    scotty-0.21-5FApfWz2NLt3ZuVgjIfXs0
    split-0.2.5-Ife2xawoGaVIx8N1i8ocny
    status-notifier-item-0.3.1.0-27sv3SlsA54FEee6DiaI9m stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    time-units-1.0.0-D1nYXpAWCQ2FSIdA8ibzEx transformers-0.5.6.2
    transformers-base-0.4.6-H0Ma1WH9EboCmnguyQaaop
    tuple-0.3.0.2-19vAyuQrbNRIGboQl6ydYO unix-2.7.2.2
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT
    xdg-desktop-entry-0.1.1.1-ITgrTf6LGVDFDsd8hm0qZw
    xml-1.3.14-6hlhhPBptprHwK7nsE7OzM
    xml-helpers-1.0.0-73lIPKak9z4HTtsjqaltEq
    xmonad-0.17.2-LOGj2zluXQZ5itr7dybusQ

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

